## org.apache.ivy.core.cache
Interface DownloadListener

    public interface DownloadListener

Method Summary
`void` `endArtifactDownload(RepositoryCacheManager cache, Artifact artifact, ArtifactDownloadReport adr, java.io.File archiveFile)`
`void` `needArtifact(RepositoryCacheManager cache, Artifact artifact)`
`void` `startArtifactDownload(RepositoryCacheManager cache, ResolvedResource rres, Artifact artifact, ArtifactOrigin origin)`

Method Detail

### needArtifact

    void needArtifact(RepositoryCacheManager cache,
                      Artifact artifact)

### startArtifactDownload

    void startArtifactDownload(RepositoryCacheManager cache,
                               ResolvedResource rres,
                               Artifact artifact,
                               ArtifactOrigin origin)

### endArtifactDownload

    void endArtifactDownload(RepositoryCacheManager cache,
                             Artifact artifact,
                             ArtifactDownloadReport adr,
                             java.io.File archiveFile)